## akregator 23.08.5

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")
project(akregator VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "5.105.0")
set(RELEASE_SERVICE_VERSION "23.08.5")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(KTEXTADDONS_MIN_VERSION "1.1.0")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
    set(KTEXTADDONS_MIN_VERSION "1.0.0")
endif()

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
set(KONTACTINTERFACE_LIB_VERSION "5.24.5")
set(KPIMTEXTEDIT_LIB_VERSION "5.24.5")
set(LIBGRANTLEETHEME_LIB_VERSION "5.24.5")
set(LIBKDEPIM_LIB_VERSION "5.24.5")
set(MESSAGELIB_LIB_VERSION "5.24.5")
set(PIMCOMMON_LIB_VERSION "5.24.5")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebEngineWidgets PrintSupport)
# Find KF5 package
find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Syndication ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)


# Find KdepimLibs Package
find_package(KPim${KF_MAJOR_VERSION}GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if (TARGET KF${KF_MAJOR_VERSION}::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()
find_package(KPim${KF_MAJOR_VERSION}WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
# Fix plugin support for removing theses dependencies
find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)


set(KUSERFEEDBACK_SUFFIX)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(KUSERFEEDBACK_SUFFIX "Qt6")
    find_package(KUserFeedback${KUSERFEEDBACK_SUFFIX} 1.2.1 CONFIG)
    add_definitions(-DUSE_KUSERFEEDBACK_QT6)
else()
    find_package(KUserFeedback${KUSERFEEDBACK_SUFFIX} 1.2.0 CONFIG)
endif()
set_package_properties(KUserFeedback${KUSERFEEDBACK_SUFFIX} PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")


include_directories(${akregator_SOURCE_DIR} ${akregator_BINARY_DIR})
add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.105.0
)
if (TARGET KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(export)
add_subdirectory(interfaces)
add_subdirectory(configuration)
add_subdirectory(src)
add_subdirectory(kontactplugin)

ecm_qt_install_logging_categories(
        EXPORT AKREGATOR
        FILE akregator.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if(KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== configuration/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include_directories(
    ${akregator_BINARY_DIR}/interfaces
    ${akregator_SOURCE_DIR}/interfaces
    )

########### next target ###############

add_library(akregator_config_general MODULE)
target_sources(akregator_config_general PRIVATE akregator_config_general.cpp akregator_config_general.h)

ki18n_wrap_ui(akregator_config_general ui/settings_general.ui)

target_link_libraries(akregator_config_general
    akregatorinterfaces
    KF${KF_MAJOR_VERSION}::TextWidgets
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::I18n
    )

install(TARGETS akregator_config_general DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)

########### next target ###############

add_library(akregator_config_appearance MODULE  )
target_sources(akregator_config_appearance PRIVATE akregator_config_appearance.cpp akregator_config_appearance.h)

ki18n_wrap_ui(akregator_config_appearance ui/settings_appearance.ui)

target_link_libraries(akregator_config_appearance
    akregatorinterfaces
    KF${KF_MAJOR_VERSION}::TextWidgets
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::I18n
    )

install(TARGETS akregator_config_appearance DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)

########### next target ###############

add_library(akregator_config_archive MODULE)
target_sources(akregator_config_archive PRIVATE akregator_config_archive.cpp akregator_config_archive.h)

ki18n_wrap_ui(akregator_config_archive ui/settings_archive.ui)

target_link_libraries(akregator_config_archive
    KF${KF_MAJOR_VERSION}::KCMUtils
    akregatorinterfaces
    KF${KF_MAJOR_VERSION}::TextWidgets
    KF${KF_MAJOR_VERSION}::I18n
    )
install(TARGETS akregator_config_archive DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)

########### next target ###############

add_library(akregator_config_browser MODULE )
target_sources(akregator_config_browser PRIVATE akregator_config_browser.cpp akregator_config_browser.h)

ki18n_wrap_ui(akregator_config_browser ui/settings_browser.ui)

target_link_libraries(akregator_config_browser
    akregatorinterfaces
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::I18n

    )

install(TARGETS akregator_config_browser DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)

########### next target ###############

add_library(akregator_config_advanced MODULE)
target_sources(akregator_config_advanced PRIVATE
    akregator_config_advanced.cpp
    settings_advanced.cpp
    akregator_config_advanced.h
    settings_advanced.h
    )

ki18n_wrap_ui(akregator_config_advanced ui/settings_advancedbase.ui)

target_link_libraries(akregator_config_advanced
    akregatorinterfaces
    KF${KF_MAJOR_VERSION}::TextWidgets
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::I18n
    )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akregator_config_advanced PROPERTIES UNITY_BUILD ON)
endif()
install(TARGETS akregator_config_advanced DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)


########### next target ###############
add_library(akregator_config_plugins MODULE)

target_sources(akregator_config_plugins PRIVATE
    akregator_config_plugins.cpp
    akregatorconfigurepluginlistwidget.cpp
    akregator_config_plugins.h
    akregatorconfigurepluginlistwidget.h
    )

ecm_qt_declare_logging_category(akregator_config_plugins HEADER kcm_config_plugins_debug.h IDENTIFIER AKREGATOR_CONFIG_PLUGIN_LOG CATEGORY_NAME org.kde.pim.akregator_config_plugin
        DESCRIPTION "akregator config plugin (akregator)"
        EXPORT AKREGATOR
    )



target_link_libraries(akregator_config_plugins
    akregatorinterfaces
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::I18n
    KPim${KF_MAJOR_VERSION}::WebEngineViewer
    )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akregator_config_plugins PROPERTIES UNITY_BUILD ON)
endif()

install(TARGETS akregator_config_plugins DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)


########### next target ###############
if (TARGET KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
    add_library(akregator_config_userfeedback MODULE)
    target_sources(akregator_config_userfeedback PRIVATE akregator_config_userfeedback.cpp akregator_config_userfeedback.h)


    target_link_libraries(akregator_config_userfeedback
        akregatorinterfaces
        KF${KF_MAJOR_VERSION}::TextWidgets
        KF${KF_MAJOR_VERSION}::KCMUtils
        KF${KF_MAJOR_VERSION}::I18n
        KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX}
        )

    install(TARGETS akregator_config_userfeedback DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)
endif()


###########
add_library(akregator_config_security MODULE)

target_sources(akregator_config_security PRIVATE
    akregator_config_security.cpp
    akregator_config_security.h
    )

ki18n_wrap_ui(akregator_config_security ui/settings_security.ui)

target_link_libraries(akregator_config_security
    akregatorinterfaces
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::I18n
    KPim${KF_MAJOR_VERSION}::WebEngineViewer
    )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akregator_config_security PROPERTIES UNITY_BUILD ON)
endif()

install(TARGETS akregator_config_security DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kcms/akregator)

=== export/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    )

add_executable(akregatorstorageexporter)
target_sources(akregatorstorageexporter PRIVATE akregatorstorageexporter.cpp)
target_link_libraries(akregatorstorageexporter
    KF${KF_MAJOR_VERSION}::Syndication
    akregatorprivate
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::CoreAddons
    )

install(TARGETS akregatorstorageexporter ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== interfaces/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
########### next target ###############
add_library(akregatorinterfaces)

target_sources(akregatorinterfaces PRIVATE
    command.cpp
    feedlistmanagementinterface.cpp
    command.h
    feedlistmanagementinterface.h
    )

set(akregatorinterfaces_userfeedback_LIB_SRCS)
if (TARGET KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
    target_sources(akregatorinterfaces PRIVATE
        userfeedback/userfeedbackmanager.cpp
        userfeedback/akregatoruserfeedbackprovider.cpp
        userfeedback/userfeedbackmanager.h
        userfeedback/akregatoruserfeedbackprovider.h
        )
endif()


kconfig_add_kcfg_files(akregatorinterfaces akregatorconfig.kcfgc)

generate_export_header(akregatorinterfaces BASE_NAME akregatorinterfaces)

if (TARGET KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
    target_link_libraries(akregatorinterfaces KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
endif()

target_link_libraries(akregatorinterfaces
    KF${KF_MAJOR_VERSION}::ConfigGui
    Qt::Widgets
    )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akregatorinterfaces PROPERTIES UNITY_BUILD ON)
endif()
target_include_directories(akregatorinterfaces PUBLIC "$<BUILD_INTERFACE:${akregator_SOURCE_DIR}/interfaces;${akregator_BINARY_DIR}/interfaces>")

set_target_properties(akregatorinterfaces PROPERTIES VERSION ${KDEPIM_LIB_VERSION} SOVERSION ${KDEPIM_LIB_SOVERSION}
    )

install(TARGETS akregatorinterfaces ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(FILES akregator.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== kontactplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include_directories(
    ${akregator_SOURCE_DIR}/src
    )

########### next target ###############
add_library(kontact_akregatorplugin MODULE)

configure_file(akregatorplugin.json.cmake ${CMAKE_CURRENT_BINARY_DIR}/akregatorplugin.json )

qt_add_dbus_interfaces(kontact_akregator_PART_SRCS ${akregator_SOURCE_DIR}/src/org.kde.akregator.part.xml)
target_sources(kontact_akregatorplugin PRIVATE akregator_plugin.cpp akregator_plugin.h ${kontact_akregator_PART_SRCS})


target_link_libraries(kontact_akregatorplugin KF${KF_MAJOR_VERSION}::I18n KPim${KF_MAJOR_VERSION}::KontactInterface)

########### install files ###############

install(TARGETS kontact_akregatorplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim${QT_MAJOR_VERSION}/kontact)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
configure_file(akregator-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/akregator-version.h @ONLY)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/command/
    ${CMAKE_CURRENT_SOURCE_DIR}/formatter/
    ${CMAKE_CURRENT_SOURCE_DIR}/subscription/
    ${CMAKE_CURRENT_SOURCE_DIR}/feed/
    ${CMAKE_CURRENT_SOURCE_DIR}/urlhandler/
    ${CMAKE_CURRENT_SOURCE_DIR}/actions/
    ${CMAKE_CURRENT_SOURCE_DIR}/frame/
    )

add_subdirectory(icons)


########### next target ###############

set(akregator_common_SRCS)
ecm_qt_declare_logging_category(akregator_common_SRCS HEADER akregator_debug.h IDENTIFIER AKREGATOR_LOG CATEGORY_NAME org.kde.pim.akregator
        DESCRIPTION "akregator (akregator)"
        OLD_CATEGORY_NAMES log_akregator
        EXPORT AKREGATOR
    )

set(akregator_SRCS main.cpp mainwindow.cpp mainwindow.h ${akregator_common_SRCS})

file(GLOB ICONS_AKREGATOR_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-akregator.png")
ecm_add_app_icon(akregator_SRCS ICONS ${ICONS_AKREGATOR_SRCS})

add_executable(akregator ${akregator_SRCS})

target_link_libraries(akregator
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Crash
    KF${KF_MAJOR_VERSION}::Notifications
    KPim${KF_MAJOR_VERSION}::KontactInterface
    KPim${KF_MAJOR_VERSION}::Libkdepim
    akregatorprivate
    akregatorinterfaces
    KPim${KF_MAJOR_VERSION}::PimCommon
    KF${KF_MAJOR_VERSION}::Syndication
    )

install(TARGETS akregator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

add_library(akregatorprivate)

target_sources(akregatorprivate PRIVATE
    ${akregator_common_SRCS}
    articleviewer-ng/webengine/articleviewerwebengine.cpp
    articleviewer-ng/webengine/articleviewerwebenginepage.cpp
    articleviewer-ng/webengine/articlehtmlwebenginewriter.cpp
    articleviewer-ng/webengine/articleviewerwebenginewidgetng.cpp

    job/downloadarticlejob.cpp
    job/downloadfeediconjob.cpp

    formatter/articleformatter.cpp
    formatter/defaultnormalviewformatter.cpp
    formatter/defaultcombinedviewformatter.cpp
    formatter/grantleeviewformatter.cpp
    formatter/articlegrantleeobject.cpp
    formatter/grantleeutil.cpp

    frame/webengine/webengineframe.cpp
    frame/webengine/akrwebengineviewer.cpp
    frame/frame.cpp
    frame/mainframe.cpp
    frame/framemanager.cpp

    urlhandler/webengine/urlhandlerwebengine.cpp
    urlhandler/webengine/urlhandlerwebenginemanager.cpp
    akregratormigrateapplication.cpp
    articleviewerwidget.cpp
    aboutdata.cpp
    trayicon.cpp
    unityservicemanager.cpp
    article.cpp
    feed/feed.cpp
    feed/feedlist.cpp
    feed/feedretriever.cpp
    treenode.cpp
    treenodevisitor.cpp
    utils.cpp
    notificationmanager.cpp
    articlejobs.cpp
    folder.cpp
    kernel.cpp
    subscription/subscriptionlistjobs.cpp
    fetchqueue.cpp
    openurlrequest.cpp
    actions/actionmanager.cpp
    actions/actions.cpp
    akregator.qrc

    articleviewer-ng/webengine/articleviewerwebengine.h
    articleviewer-ng/webengine/articleviewerwebenginepage.h
    articleviewer-ng/webengine/articlehtmlwebenginewriter.h
    articleviewer-ng/webengine/articleviewerwebenginewidgetng.h

    job/downloadarticlejob.h
    job/downloadfeediconjob.h

    formatter/articleformatter.h
    formatter/defaultnormalviewformatter.h
    formatter/defaultcombinedviewformatter.h
    formatter/grantleeviewformatter.h
    formatter/articlegrantleeobject.h
    formatter/grantleeutil.h

    frame/webengine/webengineframe.h
    frame/webengine/akrwebengineviewer.h
    frame/frame.h
    frame/mainframe.h
    frame/framemanager.h

    storage/metakit/src/column.cpp
    storage/metakit/src/custom.cpp
    storage/metakit/src/derived.cpp
    storage/metakit/src/field.cpp
    storage/metakit/src/fileio.cpp
    storage/metakit/src/format.cpp
    storage/metakit/src/handler.cpp
    storage/metakit/src/persist.cpp
    storage/metakit/src/remap.cpp
    storage/metakit/src/std.cpp
    storage/metakit/src/store.cpp
    storage/metakit/src/string.cpp
    storage/metakit/src/table.cpp
    storage/metakit/src/univ.cpp
    storage/metakit/src/view.cpp
    storage/metakit/src/viewx.cpp
    storage/feedstorage.cpp
    storage/storage.cpp


    urlhandler/webengine/urlhandlerwebengine.h
    urlhandler/webengine/urlhandlerwebenginemanager.h
    akregratormigrateapplication.h
    articleviewerwidget.h
    aboutdata.h
    trayicon.h
    unityservicemanager.h
    feed/feed.h
    feed/feedlist.h
    feed/feedretriever.h
    treenode.h
    treenodevisitor.h
    utils.h
    notificationmanager.h
    articlejobs.h
    folder.h
    kernel.h
    subscription/subscriptionlistjobs.h
    fetchqueue.h
    openurlrequest.h
    actions/actionmanager.h
    actions/actions.h

    )
target_include_directories(akregatorprivate PRIVATE storage/metakit/include)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akregatorprivate PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(akregatorprivate BASE_NAME akregator)

if (TARGET KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
    target_link_libraries(akregatorprivate PRIVATE KUserFeedbackWidgets${KUSERFEEDBACK_SUFFIX})
endif()


target_link_libraries(akregatorprivate
    PRIVATE
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Parts
    KF${KF_MAJOR_VERSION}::Notifications
    KPim${KF_MAJOR_VERSION}::Libkdepim
    KF${KF_MAJOR_VERSION}::Syndication
    KF${KF_MAJOR_VERSION}::Codecs
    KF${KF_MAJOR_VERSION}::JobWidgets
    KF${KF_MAJOR_VERSION}::KIOWidgets
    akregatorinterfaces
    KPim${KF_MAJOR_VERSION}::PimCommon
    KPim${KF_MAJOR_VERSION}::PimTextEdit
    KPim${KF_MAJOR_VERSION}::GrantleeTheme
    KF${KF_MAJOR_VERSION}::KIOGui
    KPim${KF_MAJOR_VERSION}::MessageViewer
    Qt::PrintSupport
    KPim${KF_MAJOR_VERSION}::WebEngineViewer
    ${akregator_userfeedback_LIB}
    )
if (TARGET KF${KF_MAJOR_VERSION}::TextEditTextToSpeech)
    target_link_libraries(akregatorprivate
        PRIVATE
        KF${KF_MAJOR_VERSION}::TextEditTextToSpeech
    )
endif()


target_include_directories(akregatorprivate PUBLIC "$<BUILD_INTERFACE:${akregator_SOURCE_DIR}/src;${akregator_BINARY_DIR}/src>")

set_target_properties(akregatorprivate
    PROPERTIES VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )
install(TARGETS akregatorprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

########### next target ###############
add_library(akregatorpart MODULE)
set(akregator_adaptator_SRCS)
qt_add_dbus_adaptor(akregator_adaptator_SRCS org.kde.akregator.part.xml akregator_part.h Akregator::Part)

target_sources(akregatorpart PRIVATE
    ${akregator_common_SRCS}
    ${akregator_adaptator_SRCS}

    crashwidget/crashwidget.cpp

    utils/filtercolumnsproxymodel.cpp
    utils/textutil.cpp
    utils/textutil.h

    command/deletesubscriptioncommand.cpp
    command/createfeedcommand.cpp
    command/createfoldercommand.cpp
    command/expireitemscommand.cpp
    command/loadfeedlistcommand.cpp
    command/editsubscriptioncommand.cpp
    command/importfeedlistcommand.cpp

    widgets/statussearchline.cpp
    widgets/searchbar.cpp
    widgets/akregatorcentralwidget.cpp

    subscription/subscriptionlistview.cpp
    subscription/subscriptionlistdelegate.cpp
    subscription/subscriptionlistmodel.cpp

    abstractselectioncontroller.cpp
    articlematcher.cpp
    articlemodel.cpp
    selectioncontroller.cpp
    articlelistview.cpp
    actions/actionmanagerimpl.cpp
    addfeeddialog.cpp
    feed/feedpropertiesdialog.cpp
    tabwidget.cpp
    progressmanager.cpp
    akregator_part.cpp
    mainwidget.cpp

    crashwidget/crashwidget.h

    utils/filtercolumnsproxymodel.h

    command/deletesubscriptioncommand.h
    command/createfeedcommand.h
    command/createfoldercommand.h
    command/expireitemscommand.h
    command/loadfeedlistcommand.h
    command/editsubscriptioncommand.h
    command/importfeedlistcommand.h

    widgets/statussearchline.h
    widgets/searchbar.h
    widgets/akregatorcentralwidget.h

    subscription/subscriptionlistview.h
    subscription/subscriptionlistdelegate.h
    subscription/subscriptionlistmodel.h

    abstractselectioncontroller.h
    articlematcher.h
    articlemodel.h
    selectioncontroller.h
    articlelistview.h
    actions/actionmanagerimpl.h
    addfeeddialog.h
    feed/feedpropertiesdialog.h
    tabwidget.h
    progressmanager.h
    akregator_part.h
    mainwidget.h

    )

ki18n_wrap_ui(akregatorpart
    ui/addfeedwidgetbase.ui
    ui/feedpropertieswidgetbase.ui
    )

generate_export_header(akregatorpart BASE_NAME akregatorpart)
target_link_libraries(akregatorpart
    akregatorinterfaces
    akregatorprivate
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::KCMUtils
    KF${KF_MAJOR_VERSION}::NotifyConfig
    KPim${KF_MAJOR_VERSION}::Libkdepim
    KF${KF_MAJOR_VERSION}::Syndication
    KPim${KF_MAJOR_VERSION}::PimCommon
    KPim${KF_MAJOR_VERSION}::PimTextEdit
    KPim${KF_MAJOR_VERSION}::GrantleeTheme
    KPim${KF_MAJOR_VERSION}::MessageViewer
    KF${KF_MAJOR_VERSION}::Parts
    KF${KF_MAJOR_VERSION}::Notifications
    KF${KF_MAJOR_VERSION}::TextWidgets
    Qt::WebEngineWidgets
    KPim${KF_MAJOR_VERSION}::WebEngineViewer
    KF${KF_MAJOR_VERSION}::KIOGui
    KF${KF_MAJOR_VERSION}::Completion
    KF${KF_MAJOR_VERSION}::JobWidgets
    )
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akregatorpart PROPERTIES UNITY_BUILD ON)
endif()

install(TARGETS akregatorpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install(PROGRAMS data/org.kde.akregator.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/org.kde.akregator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.akregator.part.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES data/akregator.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} )

add_subdirectory(formatter/html)
if(BUILD_TESTING)
   add_subdirectory(job/autotests)
endif()

=== src/icons/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
file(GLOB icons "*-apps-akregator.*")
ecm_install_icons(ICONS
    ${icons}
    16-apps-akregator_empty.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== src/formatter/html/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
install(DIRECTORY 5.2 DESTINATION ${KDE_INSTALL_DATADIR}/akregator/grantleetheme/ )

=== debian/changelog ===
akregator (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:07:26 +1100

akregator (4:23.08.5-0ubuntu3) noble; urgency=high

  * No change rebuild against libkpim5messageviewer5t64,
    libkpim5mimetreeparser5t64, libkpim5webengineviewer5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 21:14:04 +0100

akregator (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:50:18 +0000

akregator (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:25:24 -0700

akregator (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 02:45:44 -0700

akregator (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add new apparmor profile to fix userns Ref: LP:2046844 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 01:44:27 -0700

akregator (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:13 +0000

akregator (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:18 +0000

akregator (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:39 +0100

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               dh-apparmor,
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               kuserfeedback-dev,
               libassuan-dev,
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadi-dev (>= 4:23.08.5~),
               libkf5akonadimime-dev (>= 4:23.08.5~),
               libkf5akonadiserver-dev (>= 4:23.08.5~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.5~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 23.08.5~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 23.08.5~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 23.08.5~),
               libkf5libkdepim-dev (>= 4:23.08.5~),
               libkf5libkleo-dev (>= 4:23.08.5~),
               libkf5messagecomposer-dev (>= 4:23.08.5~),
               libkf5messagecore-dev (>= 4:23.08.5~),
               libkf5messagelist-dev (>= 4:23.08.5~),
               libkf5messageviewer-dev (>= 4:23.08.5~),
               libkf5mimetreeparser-dev (>= 4:23.08.5~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:23.08.5~),
               libkf5pimtextedit-dev (>= 23.08.5~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syndication-dev (>= 18.11.80~),
               libkf5templateparser-dev (>= 4:23.08.5~),
               libkf5textaddons-dev,
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:23.08.5~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator

Package: akregator
Section: web
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Suggests: apparmor
Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all},
Replaces: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

## akregator 23.08.5-0ubuntu4.1trisquel4

=== debian/changelog ===
akregator (4:23.08.5-0ubuntu4.1trisquel4) ecne; urgency=medium

  * Patched feeds for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 15 Oct 2024 05:52:33 +0000

akregator (4:23.08.5-0ubuntu4.1) noble; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2065915)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 10 Jul 2024 10:25:35 -0700

## akregator 23.08.5-0ubuntu4.1trisquel5

=== debian/changelog ===
akregator (4:23.08.5-0ubuntu4.1trisquel5) ecne; urgency=medium

  * Patched feeds for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Aug 2025 06:13:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: akregator
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -91,7 +91,7 @@
 
 Package: akregator
 Section: web
-Architecture: any
+Architecture: amd64 arm64 armhf i386
 Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
 Suggests: apparmor
 Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all},

## akregator 24.08.2

=== debian/changelog ===
akregator (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.
    - Add an AppArmor profile.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 12:00:49 -0500

akregator (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:42 +0200

akregator (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Sep 2024 22:51:37 +0200

akregator (4:23.08.5-0ubuntu8) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492) 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 10 Jul 2024 10:41:58 -0700

akregator (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Allow everything for apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 06:12:33 -0700

akregator (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything for apparmor following other profiles.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 06:09:15 -0700

akregator (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492) 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 05:03:29 -0700

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libgrantleetheme-dev (>= 24.08.2~),
               libkdepim-dev (>= 4:24.08.2~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6statusnotifieritem-dev (>= 6.3.0~),
               libkf6syndication-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkontactinterface-dev (>= 24.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:24.08.2~),
               messagelib-dev (>= 4:24.08.2~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-webengine-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akregator
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
Rules-Requires-Root: no

Package: akregator
Section: web
Architecture: amd64 arm64 armhf i386
Depends: libgrantleetheme-plugins, ${misc:Depends}, ${shlibs:Depends},
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

## akregator 24.12.0

=== debian/changelog ===
akregator (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:52:54 +0100

akregator (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:08 +0100

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libgrantleetheme-dev (>= 24.12.0~),
               libkdepim-dev (>= 4:24.12.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6syndication-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 24.12.0~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:24.12.0~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:24.12.0~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akregator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git
Rules-Requires-Root: no

Package: akregator
Section: web
Architecture: amd64 arm64 armhf i386
Depends: libgrantleetheme-plugins, ${misc:Depends}, ${shlibs:Depends},
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

## akregator 24.12.2

=== debian/changelog ===
akregator (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libgrantleetheme-dev (>= 24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -26,11 +26,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 24.12.0~),
+               libkontactinterface-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:24.12.0~),
+               messagelib-dev (>= 4:24.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
